import { Hono } from 'hono'
import { logger } from 'hono/logger'
import { prettyJSON } from 'hono/pretty-json'
import { emailRouter } from './routes/email'
import { createSwaggerUI } from './swagger'

const app = new Hono()

app.use('*', logger())
app.use('*', prettyJSON())

if ((process.env.AUTHKEY || "") === "") {
  console.warn("process.env.AUTHKEY was not provided!");
}

app.route('/api/v1/email', emailRouter)
app.get('/docs', createSwaggerUI())
app.get('/swagger', createSwaggerUI())

const port = process.env.PORT || 3000
console.log(`Server is running on port ${port}`)

export default {
  port,
  fetch: app.fetch
}